| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_voip_calls_tapinfo Struct Reference

Aggregated tap state for the VoIP calls analysis, covering all detected calls and streams. More...

`#include <voip_calls.h>`

## Public Attributes
tap_reset_cb | tap_reset
tap_packet_cb | tap_packet
tap_draw_cb | tap_draw
void * | tap_data
int | ncalls
GQueue * | callsinfos
GHashTable * | callsinfo_hashtable [1]
int | npackets
voip_calls_info_t * | filter_calls_fwd
int | start_packets
int | completed_calls
int | rejected_calls
seq_analysis_info_t * | graph_analysis
epan_t * | session
int | nrtpstreams
GList * | rtpstream_list
uint32_t | rtp_evt_frame_num
uint8_t | rtp_evt
bool | rtp_evt_end
char * | sdp_summary
uint32_t | sdp_frame_num
uint32_t | mtp3_opc
uint32_t | mtp3_dpc
uint8_t | mtp3_ni
uint32_t | mtp3_frame_num
struct _h245_labels * | h245_labels
uint8_t | q931_cause_value
int32_t | q931_crv
uint32_t | q931_frame_num
uint32_t | h225_frame_num
uint16_t | h225_call_num
int | h225_cstype
bool | h225_is_faststart
uint32_t | sip_frame_num
uint32_t | actrace_frame_num
int32_t | actrace_trunk
int32_t | actrace_direction
flow_show_options | fs_option
uint32_t | redraw
bool | apply_display_filter

## Detailed Description

Aggregated tap state for the VoIP calls analysis, covering all detected calls and streams.

Holds all cross-protocol state accumulated by the VoIP tap during a capture session. Most fields are private to `voip_calls.c`.

## Member Data Documentation

## ◆ actrace_direction

int32_t _voip_calls_tapinfo::actrace_direction

Direction flag from the most recently seen ACTrace packet.

## ◆ actrace_frame_num

uint32_t _voip_calls_tapinfo::actrace_frame_num

Frame number of the most recently seen ACTrace packet.

## ◆ actrace_trunk

int32_t _voip_calls_tapinfo::actrace_trunk

Trunk number from the most recently seen ACTrace packet.

## ◆ apply_display_filter

bool _voip_calls_tapinfo::apply_display_filter

True if the current Wireshark display filter should restrict shown calls.

## ◆ callsinfo_hashtable

GHashTable* _voip_calls_tapinfo::callsinfo_hashtable[1]

Per-protocol hash tables for fast call lookup; index by hash_indexes (currently only SIP).

## ◆ callsinfos

GQueue* _voip_calls_tapinfo::callsinfos

Queue of all detected calls (voip_calls_info_t).

## ◆ completed_calls

int _voip_calls_tapinfo::completed_calls

Number of calls that completed normally.

## ◆ filter_calls_fwd

voip_calls_info_t* _voip_calls_tapinfo::filter_calls_fwd

Call record used as a directional filter in certain tap modes.

## ◆ fs_option

flow_show_options _voip_calls_tapinfo::fs_option

Current flow-graph display filter (all calls or INVITE-only).

## ◆ graph_analysis

seq_analysis_info_t* _voip_calls_tapinfo::graph_analysis

Sequence-diagram analysis state for the flow graph.

## ◆ h225_call_num

uint16_t _voip_calls_tapinfo::h225_call_num

Call index of the call associated with the most recent H.225 packet.

## ◆ h225_cstype

int _voip_calls_tapinfo::h225_cstype

H.225 call signal type of the most recent H.225 message (enum value).

## ◆ h225_frame_num

uint32_t _voip_calls_tapinfo::h225_frame_num

Frame number of the most recently seen H.225 packet.

## ◆ h225_is_faststart

bool _voip_calls_tapinfo::h225_is_faststart

True if the most recently seen H.225 message contained a fastStart element.

## ◆ h245_labels

struct _h245_labels* _voip_calls_tapinfo::h245_labels

H.245 flow-graph label state for this session.

## ◆ mtp3_dpc

uint32_t _voip_calls_tapinfo::mtp3_dpc

MTP3 Destination Point Code from the most recent MTP3 packet.

## ◆ mtp3_frame_num

uint32_t _voip_calls_tapinfo::mtp3_frame_num

Frame number of the most recently seen MTP3 packet.

## ◆ mtp3_ni

uint8_t _voip_calls_tapinfo::mtp3_ni

MTP3 Network Indicator from the most recent MTP3 packet.

## ◆ mtp3_opc

uint32_t _voip_calls_tapinfo::mtp3_opc

MTP3 Originating Point Code from the most recent MTP3 packet.

## ◆ ncalls

int _voip_calls_tapinfo::ncalls

Total number of calls detected so far.

## ◆ npackets

int _voip_calls_tapinfo::npackets

Total number of packets attributed to all calls.

## ◆ nrtpstreams

int _voip_calls_tapinfo::nrtpstreams

Number of RTP streams detected across all calls.

## ◆ q931_cause_value

uint8_t _voip_calls_tapinfo::q931_cause_value

Q.931 cause value from the most recently seen release message.

## ◆ q931_crv

int32_t _voip_calls_tapinfo::q931_crv

Q.931 Call Reference Value from the most recently seen Q.931 message.

## ◆ q931_frame_num

uint32_t _voip_calls_tapinfo::q931_frame_num

Frame number of the most recently seen Q.931 packet.

## ◆ redraw

uint32_t _voip_calls_tapinfo::redraw

Non-zero if the UI needs to be redrawn.

## ◆ rejected_calls

int _voip_calls_tapinfo::rejected_calls

Number of calls that were rejected or failed.

## ◆ rtp_evt

uint8_t _voip_calls_tapinfo::rtp_evt

RTP event code from the most recently seen RFC 4733 packet.

## ◆ rtp_evt_end

bool _voip_calls_tapinfo::rtp_evt_end

True if the most recently seen RTP event packet has the End bit set.

## ◆ rtp_evt_frame_num

uint32_t _voip_calls_tapinfo::rtp_evt_frame_num

Frame number of the most recently seen RTP event packet.

## ◆ rtpstream_list

GList* _voip_calls_tapinfo::rtpstream_list

List of rtpstream_info_t entries for all RTP streams.

## ◆ sdp_frame_num

uint32_t _voip_calls_tapinfo::sdp_frame_num

Frame number in which the most recent SDP body was observed.

## ◆ sdp_summary

char* _voip_calls_tapinfo::sdp_summary

Summary string extracted from the most recently parsed SDP body.

## ◆ session

epan_t* _voip_calls_tapinfo::session

Wireshark dissection session owning this tap instance.

## ◆ sip_frame_num

uint32_t _voip_calls_tapinfo::sip_frame_num

Frame number of the most recently seen SIP packet.

## ◆ start_packets

int _voip_calls_tapinfo::start_packets

Number of calls currently in the setup/ringing phase.

## ◆ tap_data

void* _voip_calls_tapinfo::tap_data

Opaque user data pointer passed to all tap callbacks.

## ◆ tap_draw

tap_draw_cb _voip_calls_tapinfo::tap_draw

Callback invoked to redraw the UI after processing.

## ◆ tap_packet

tap_packet_cb _voip_calls_tapinfo::tap_packet

Callback invoked once per packet to update tap state.

## ◆ tap_reset

tap_reset_cb _voip_calls_tapinfo::tap_reset

Callback invoked to reset all tap state between captures.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/voip_calls.h